
package de.ivu.elect.presentation.ergebnis.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.ergebnis.BesonderheitSearchView;

public class BesonderheitAnzeigenMenuItemEntry extends AbstractErgebnisLogEintragAnzeigenMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public BesonderheitAnzeigenMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.BESONDERHEIT_SEARCH);
  }

  @Override
  public String getTargetViewId() {
    return BesonderheitSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "besonderheit.search.menu.item.label";
  }
}
